import request from '@/utils/request'

// 初始化项目
export function initProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_项目名称_采购部采购_查询数据'
    }
  })
}
// 发票查询
export function searchInvoice(...params) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_采购发票_查询数据',
      param: `供应商流水号_check=${params[2]}&供应商流水号=${params[3]}&采购合同流水号_check=${params[4]}&采购合同流水号=${params[5]}`,
      Pagination: params[0] + '&' + params[1]
    }
  })
}
// 发票增加（后台调用）
export function addInvoice(...params) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购管理_采购发票_增加数据',
      param: `采购合同流水号=${params[0]}&开票金额=${params[1]}&传送人流水号=${params[2]}&备注=${params[3]}`
    }
  })
}
// 发票编辑
export function editInvoice(...params) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购管理_采购发票_修改数据',
      param: `发票交接流水号=${params[0]}&发票号=${params[1]}&开户行=${params[2]}&开票时间=${params[3]}&接收人流水号=${params[4]}`
    }
  })
}
// 发票删除
export function deleteInvoice(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购管理_采购发票_删除数据',
      param: '发票交接流水号=' + num1
    }
  })
}
// 传送人初始化
export function initSender() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '人事档案管理_人员与角色_查询数据_采购员'
    }
  })
}
// 初始化供应商
export function initSupplier() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_供应商_查询数据_根据条件'
    }
  })
}
// 根据供应商查合同
export function searchContract(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_采购合同_查询数据_根据供应商',
      param: `供应商流水号=${num}`
    }
  })
}
// 根据供应商查合同
export function searchOffline(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_离线合同_查询数据_根据供应商',
      param: `供应商流水号=${num}`
    }
  })
}
// 根据供应商查合同
export function invoiceDetail(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_采购发票明细_查询数据',
      param: `发票交接流水号=${num}`
    }
  })
}
